Skip to main content
PATCH
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

stream_id
integer
required

Stream ID

overlay_id
integer
required

Overlay ID

Body

application/json
url
string

Valid http/https URL to an HTML page/widget

width
integer

Width of the widget

height
integer

Height of the widget

x
integer

Coordinate of left upper corner

y
integer

Coordinate of left upper corner

stretch
boolean
default:false

Switch of auto scaling the widget. Must not be used as "true" simultaneously with the coordinate installation method (w, h, x, y).

Response

Successful

url
string
required

Valid http/https URL to an HTML page/widget

id
integer
required

ID of the overlay

stream_id
integer
required

ID of a stream to which it is attached

created_at
string
required

Datetime of creation in ISO 8601

updated_at
string
required

Datetime of last update in ISO 8601

width
integer

Width of the widget

height
integer

Height of the widget

x
integer

Coordinate of left upper corner

y
integer

Coordinate of left upper corner

stretch
boolean
default:false

Switch of auto scaling the widget. Must not be used as "true" simultaneously with the coordinate installation method (w, h, x, y).